<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsMessageHeader::LengthData Union Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="struct_xs_message_header.html">XsMessageHeader</a></li><li class="navelem"><a class="el" href="union_xs_message_header_1_1_length_data.html">LengthData</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="union_xs_message_header_1_1_length_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsMessageHeader::LengthData Union Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contains optional extended length of message and first byte of data buffer.  
 <a href="union_xs_message_header_1_1_length_data.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_message_header_1_1_length_data_1_1_extended_length.html">ExtendedLength</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Contains extended length information and first byte of data buffer if normal length is 255.  <a href="struct_xs_message_header_1_1_length_data_1_1_extended_length.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a8e017b1d2db9c44e9c0c504df611fa5b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8e017b1d2db9c44e9c0c504df611fa5b"></a>
struct <a class="el" href="struct_xs_message_header_1_1_length_data_1_1_extended_length.html">XsMessageHeader::LengthData::ExtendedLength</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="union_xs_message_header_1_1_length_data.html#a8e017b1d2db9c44e9c0c504df611fa5b">m_extended</a></td></tr>
<tr class="memdesc:a8e017b1d2db9c44e9c0c504df611fa5b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The extended length, only valid if normal length is 255. <br /></td></tr>
<tr class="separator:a8e017b1d2db9c44e9c0c504df611fa5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabf15c3a471a34d0fbe6ef7e0b96ce07"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aabf15c3a471a34d0fbe6ef7e0b96ce07"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="union_xs_message_header_1_1_length_data.html#aabf15c3a471a34d0fbe6ef7e0b96ce07">m_data</a> [1]</td></tr>
<tr class="memdesc:aabf15c3a471a34d0fbe6ef7e0b96ce07"><td class="mdescLeft">&#160;</td><td class="mdescRight">The first byte of the data buffer if length &lt; 255, the data buffer is always at least 1 byte since it has to contain the checksum, but it can be bigger. <br /></td></tr>
<tr class="separator:aabf15c3a471a34d0fbe6ef7e0b96ce07"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Contains optional extended length of message and first byte of data buffer. </p>
</div></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
